#include <GL/glut.h>
#include <GL/glx.h>
#include <stdio.h>

int main(int argc, char** argv) {
  Display *dpy;
  int major, minor;
  dpy = XOpenDisplay(NULL);
  if (dpy == NULL) {
    printf("Unable to open a connection to the X server\n");
    return -1;
  }
  glXQueryVersion(dpy, &major, &minor);
  printf("GL version is %d.%d\n", major, minor);
  printf("glutInit\n");
  glutInit(&argc, argv);
  printf("glutInitDisplayMode\n");
  glutInitDisplayMode(GLUT_DEPTH | GLUT_SINGLE | GLUT_RGBA);
  printf("glutInitWindowPosition\n");
  glutInitWindowPosition(100, 100);
  printf("glutInitWindowSize\n");
  glutInitWindowSize(320, 320);
  printf("glutCreateWindow\n");
  glutCreateWindow("Hello, World");
  printf("done\n");
  return 0;
}
